Subject: Re: bug#19931: 24.4; Support for OS X press and hold

From: Juri Linkov <[email-masked]>
Date: Mon, 14 Dec 2020 10:35:30 +0200

>> Yes this almost solves the problem. Just that in case of press-and-hold,
>> the user doesn’t have to goto another key. The combination is the main
>> key and arrow-key to select the correct accent.
>
> There are some options in 'quail-define-package', and I recall
> that some of them can enable more interactive selection among
> displayed variants, but I don't remember what input methods used
> such options, and what options of 'quail-define-package' can do this,
> maybe 'SHOW-LAYOUT', but I'm not sure.

Actually, the interactive selection UI is enabled when a rule contains
a vector of possible variants, e.g.:

(quail-define-rules
 ("a" [?á ?ä]))

then typing "a" displays a list of characters to select.